=== debian/changelog ===
mpich (4.3.2-2) unstable; urgency=medium

  * Switch mpis64el to ch3, Closes: #1102920
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Nov 2025 13:56:25 +0000

mpich (4.3.2-1) experimental; urgency=medium

  * New upstream release
  * Re-enable pmix
  * SOVERSION now 12.5.2 in links
  * disable-ext-modules-in-autogen.patch: fix for autogen changes
  * No man pages this release?

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2025 12:21:43 +0000
