=== debian/changelog ===
mpich (5.0.0~b1-1) experimental; urgency=medium

  * New upstream release
  * Now includes docs
  * For test releases sover = 0.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Nov 2025 12:02:14 +0000
