## mpich 5.0.0~rc1

=== debian/changelog ===
mpich (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Enable HIP
  * d/copyright: yaksa files now merged, removed
  * Don't ship duplicate CHANGES
  * Drop obsolete patch undefined-type-gpu.patch
  * Add libmpich12.lintian-overrides to ignore symbol errors in dev
    release
  * Use pre-computed DEB_HOST_MULTIARCH
  * Drop dh_dwz; handled by dh_fortran
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * chrpath to remove paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Dec 2025 07:31:41 +0000
