## mpich 5.0.0~rc3

=== debian/changelog ===
mpich (5.0.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Close old bug, we ship man pages. Closes: #987716
  * Close old bug: OpenMosix no longer exists. Closes: #301553

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jan 2026 10:48:01 +0000
