=== debian/control ===
Source: mpich
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Build-Depends: debhelper-compat (= 13),
	       gfortran,
	       dh-sequence-fortran,
               hwloc-nox,
               libhwloc-dev,
	       librdmacm-dev [!hurd-any],
	       libslurm-dev (>= 23.11) [!hurd-any],
	       libibverbs-dev (>= 1.1.7) [!hurd-any],
	       libfabric-dev [!hurd-any !powerpc !sh4],
	       libnuma-dev [!hurd-any],
	       libucx-dev [amd64 arm64 ppc64el riscv64 loong64],
               libxt-dev,
               procps,
               chrpath,
	       python3,
               quilt,
               txt2man,
	       valgrind-if-available,
               x11proto-core-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Rules-Requires-Root: no
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/mpich
Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
Homepage: https://www.mpich.org/

Package: libmpich-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${fortran:Depends},
         g++,
         libmpich12 (= ${binary:Version}),
         libhwloc-dev,
         libucx-dev [${archlist:ucx}],
         ${misc:Depends},
	 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Multi-Arch: foreign
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
  	 ${perl:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-4.1 standard from the Argonne National Laboratory.
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 4.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH documentation.
