=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
 
@@ -19,8 +19,8 @@
 export TZ=UTC+0
 export V=1
 
-FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
-export FC
+# FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
+# export FC
 
 export HIPCXX=clang++-19
 
@@ -52,9 +52,8 @@
 	SLURM := --with-slurm=/usr
 endif
 
-#HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
+HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
 PMIX:= $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)),--with-pmix=/usr/lib/${DEB_HOST_MULTIARCH}/pmix2,)
-HIP:= 
 
 UCX:=
 ifneq (,$(filter $(DEB_HOST_ARCH),$(CH4_UCX_ARCH)))
@@ -131,6 +130,9 @@
 		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
 	done
 
+execute_after_dh_fixperms:
+	chrpath -d  debian/libmpich12/usr/lib/*/*.so.*
+	
 execute_before_dh_auto_clean:
 	dh_auto_clean --sourcedirectory doc/installguide
 	dh_auto_clean --sourcedirectory doc/userguide
@@ -154,5 +156,3 @@
 override_dh_gencontrol:
 	dh_gencontrol -- -V'archlist:ucx=$(CH4_UCX_ARCH)'
 
-override_dh_dwz:
-	@echo "Skip dwx: crashes"
