## mpich 5.0.0

=== debian/changelog ===
mpich (5.0.0-2) experimental; urgency=medium

  * dh_fixperms: don't fail on build-indep
  * Enable MPI ABI
  * Enable UCC support
  * d/gbp.conf: pristine-tar=True

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2026 20:26:27 +0000

mpich (5.0.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Feb 2026 09:47:08 +0000
