=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	       libfabric-dev [!hurd-any !powerpc !sh4],
 	       libnuma-dev [!hurd-any],
 	       libucx-dev [amd64 arm64 ppc64el riscv64 loong64],
+	       libucc-dev [amd64 arm64 ppc64el riscv64],
                libxt-dev,
                procps,
                chrpath,
