=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
 # export FC
 
-export HIPCXX=clang++-19
+export HIPCXX=clang++-21
 
 
 # Keep old library naming scheme
@@ -36,6 +36,7 @@
 # Pick one as default, unlisted ones get CH3
 CH4_UCX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucx-dev *\[([^]]*)\].*/\1/p' debian/control)
 CH4_OFI_ARCH:= alpha ppc64 sparc64
+UCC_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucc-dev *\[([^]]*)\].*/\1/p' debian/control)
 HIP_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libamdhip64-dev *\[([^]]*)\].*/\1/p' debian/control)
 PMIX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libpmix-dev *\[([^]]*)\].*/\1/p' debian/control)
 
@@ -64,16 +65,21 @@
 else
 	DEVICE:= --with-device=ch3
 endif
+ifneq (,$(filter $(DEB_HOST_ARCH),$(UCC_ARCH)))
+	UCC:= -with-ucc=/usr
+endif
 
 extra_flags += \
 	$(VERBS) \
 	$(FABRIC) \
 	$(SLURM) \
 	$(UCX) \
+	$(UCC) \
 	$(HIP) \
 	$(PMIX) \
 	$(DEVICE) \
 	--with-pm=hydra \
+        --enable-mpi-abi \
 	--with-hwloc-prefix=/usr \
 	--with-wrapper-dl-type=none \
 	--enable-shared \
@@ -131,7 +137,7 @@
 	done
 
 execute_after_dh_fixperms:
-	chrpath -d  debian/libmpich12/usr/lib/*/*.so.*
+	- chrpath -d  debian/libmpich12/usr/lib/*/*.so.* || true
 	
 execute_before_dh_auto_clean:
 	dh_auto_clean --sourcedirectory doc/installguide
